︠d9efbec0-8152-4349-b134-19ef6d821ae9︠
from sage.plot.plot3d.shapes import Sphere
a = 1; b = 4; c = 1;
A = (2/b^2 + 1/c^2 - 1/a^2)/(1/a^2+1/c^2)
t = var('t')
f_w = t^4 + 2*A*t^2+1
f_x = a*(1+A)*t*(t^2+1)/f_w
f_y = b*(t^4-1)/f_w
f_z = c*(1-A)*t*(t^2-1)/f_w
p1 = parametric_plot3d([f_x, f_y, f_z], (t, -100, 100), color='red', plot_points=2000, thickness=3)
x, y, z = var('x, y, z')
p2 = implicit_plot3d(x^2/a^2 + y^2/b^2 - z^2/c^2 - 1, (x,-a*1.1, a*1.1), (y,-b*1.1, b*1.1), (z,-c*1.1, c*1.1), color="blue", opacity=0.1, plot_points=100)
S = Sphere(.05, color='black').translate(0,-b,0)
show(A*1.0)
show(p2 + p1 + S, aspect_ratio=[1/a,1/b,3/c])
︡d2cf842d-159d-4dfe-b92c-77453f0506dd︡{"html":"<div align='center'>$\\displaystyle 0.0625000000000000$</div>"}︡{"file":{"filename":"154ab489-f433-4d89-aa08-ce2e4e173bc6.sage3d","uuid":"154ab489-f433-4d89-aa08-ce2e4e173bc6"}}︡{"done":true}︡
︠b796267a-5cb4-4391-be33-0edb900fd614︠
$a = 4; b = 1; c = 1;
A = (2/b^2 + 1/c^2 - 1/a^2)/(1/a^2+1/c^2)
show(A*1.0)
t = var('t')
f_x = a*(1+A)*(t^2+1)
f_y = 2*b*(t^3+A*t)
f_z = c*(1-A)*(t^2-1)
p1 = parametric_plot([f_y/f_x, f_z/f_x], (t, -100, 100), color='red', plot_points=1000, thickness=1, aspect_ratio=40)
p1
︡1a6130fa-eb75-4f4b-8913-42e252b8666e︡{"html":"<div align='center'>$\\displaystyle 2.76470588235294$</div>"}︡{"file":{"filename":"/projects/f15b2afc-be08-4c8b-a603-4df3d49bfab6/.sage/temp/compute3-us/12109/tmp_zzh661.svg","show":true,"text":null,"uuid":"06caa546-0a4a-4863-a650-921e10c35f74"},"once":false}︡{"done":true}︡
︠70adbf63-4248-4c30-b893-6666b67bbc62︠
t=var('t')
x,y,z = var('x,y,z')
a,b,c,d,e,f,g,h,i,j = var('a,b,c,d,e,f,g,h,i,j')
x=15*(t^2+1)
y=-9*(t^2-1)
z=2*t^3+8*t
cubic = a*x^3 + b*y^3 + c*z^3 + d*x^2*y + e*x^2*z + f*x*y^2 + g*y^2*z + h*x*z^2 + i*y*z^2 + j*x*y*z
coeff = cubic.coefficients(t)
[coeff[n][0] for n in range(10)]
solve([coeff[n][0]==0 for n in range(10)], a,b,c,d,e,f,g,h,i,j)
︡d473d66c-6483-4b96-8500-9d410af38042︡{"stdout":"[3375*a + 729*b + 2025*d + 1215*f, 1800*e + 648*g + 1080*j, 10125*a - 2187*b + 2025*d - 1215*f + 960*h + 576*i, 512*c + 4050*e - 1134*g + 270*j, 10125*a + 2187*b - 2025*d - 1215*f + 1440*h - 288*i, 384*c + 2700*e + 324*g - 1080*j, 3375*a - 729*b - 2025*d + 1215*f + 540*h - 252*i, 96*c + 450*e + 162*g - 270*j, 60*h - 36*i, 8*c]\n"}︡{"stdout":"[[a == r1, b == -5/3*r1, c == 0, d == 1/3*r1, e == 0, f == -7/3*r1, g == 0, h == -9*r1, i == -15*r1, j == 0]]\n"}︡{"done":true}︡
︠a78fc946-7e5e-4203-88fc-efa775ae752d︠
R.<x,y,z> = QQ[]
from sage.schemes.toric.weierstrass import Discriminant
from sage.schemes.toric.weierstrass import j_invariant
cubic = 3*x^3-5*y^3+x^2*y-7*x*y^2-27*x*z^2-45*y*z^2
WeierstrassForm(cubic)
Discriminant(cubic)
j_invariant(cubic)
︡1d331320-e149-4242-844b-c440d1fccca7︡{"stdout":"(-6912, -221184)"}︡{"stdout":"\n"}︡{"stdout":"0\n"}︡{"stdout":"+Infinity\n"}︡{"done":true}︡
︠89ec5621-5db7-43b6-83fa-b97747964d8f︠
x,y,z = var('x,y,z')
f(x,y,z)=3*x^3-5*y^3+x^2*y-7*x*y^2-27*x*z^2-45*y*z^2
g(x,y,z)=f(z,x-z,y).expand()
g(x,y,z).show()
︡d481dc71-36b8-4343-b567-454327c0f379︡{"html":"<div align='center'>$\\displaystyle -5 \\, x^{3} - 45 \\, x y^{2} + 8 \\, x^{2} z + 18 \\, y^{2} z$</div>"}︡{"done":true}︡
︠2a532cdb-3790-4f1e-80dd-c50a17882986︠
x,y = var('x,y')
g(x,y)=-24*x^3 - 18*x^2*y + 9*x*y^2 + 3*y^3
solve(g(x,1),x)
︡5d9195a6-876c-4bcc-b593-fe884bd79644︡{"stdout":"[x == (1/2), x == -1, x == (-1/4)]"}︡{"stdout":"\n"}︡{"done":true}︡
︠eb105f3f-bacc-43d0-bc5e-684adbeeb1cdi︠
R.<x,y,z> = QQ[]
from sage.schemes.toric.weierstrass import Discriminant
cubic = 7*x^3-9*y^3+5*x^2*y-11*x*y^2-63*x*z^2-81*y*z^2
WeierstrassForm(cubic)
Discriminant(cubic)
j_invariant(cubic)
︡62d95ecc-2268-4d8e-8a5f-db2281c3f1b5︡{"stdout":"(-27648, -1769472)\n"}︡{"stdout":"0\n"}︡{"stdout":"+Infinity\n"}︡{"done":true}︡
︠2e8b196a-2dad-4925-82af-1b4dc6a4ace0︠
R.<x,y,z> = QQ[]
from sage.schemes.toric.weierstrass import Discriminant
cubic = y^2*z - x*(x-z)*(x+z)
WeierstrassForm(cubic)
Discriminant(cubic)
j_invariant(cubic)
︡399f582f-9e36-493e-b0ff-95e3f3e2a983︡{"stdout":"(-1, 0)\n"}︡{"stdout":"-4\n"}︡{"stdout":"1728\n"}︡{"done":true}︡
︠0dbac1c1-64ba-4018-b1c7-4b7e60edfbbc︠
︡310dabd7-b612-4062-8d74-7b417ea525ea︡
︠e486c5f6-f770-40d2-9bae-1b211d883160︠
x,y=var('x,y')
solve([x==1,y==0], x,y)
︡d6b5c2d0-f529-44ea-a8e3-4f833af18f09︡{"stdout":"[[x == 1, y == 0]]"}︡{"stdout":"\n"}︡{"done":true}︡
︠bb160c2a-0055-4438-b0f8-f6a7ce2d159b︠
x = var('x')
solve(x^2 + 3*x + 2==0, x)
︡a69c52c9-0c32-4c3d-a878-ddf173ce4f97︡{"stdout":"[x == -2, x == -1]\n"}︡{"done":true}︡
︠5d85175d-7164-4be4-86a6-b9116d0635dd︠
a,b,c,d = var('a,b,c,d')
m = matrix(SR,[[a^4-1, a^3+a, 4*a^2+1, a],[b^4-1, b^3+b, 4*b^2+1, b],[c^4-1, c^3+c, 4*c^2+1, c],[d^4-1, d^3+d, 4*d^2+1, d]])
m.determinant()
m.determinant().factor()
m.determinant().factor()/((a-b)*(a-c)*(a-d)*(b-c)*(b-d)*(c-d))
︡d008e4d3-ca23-4bc4-a247-85f61a647481︡{"stdout":"4*a^4*b^3*c^2*d - 4*a^3*b^4*c^2*d - 4*a^4*b^2*c^3*d + 4*a^2*b^4*c^3*d + 4*a^3*b^2*c^4*d - 4*a^2*b^3*c^4*d - 4*a^4*b^3*c*d^2 + 4*a^3*b^4*c*d^2 + 4*a^4*b*c^3*d^2 - 4*a*b^4*c^3*d^2 - 4*a^3*b*c^4*d^2 + 4*a*b^3*c^4*d^2 + 4*a^4*b^2*c*d^3 - 4*a^2*b^4*c*d^3 - 4*a^4*b*c^2*d^3 + 4*a*b^4*c^2*d^3 + 4*a^2*b*c^4*d^3 - 4*a*b^2*c^4*d^3 - 4*a^3*b^2*c*d^4 + 4*a^2*b^3*c*d^4 + 4*a^3*b*c^2*d^4 - 4*a*b^3*c^2*d^4 - 4*a^2*b*c^3*d^4 + 4*a*b^2*c^3*d^4 - a^4*b^3*c + a^3*b^4*c + a^4*b*c^3 - a*b^4*c^3 - a^3*b*c^4 + a*b^3*c^4 + a^4*b^3*d - a^3*b^4*d - a^4*c^3*d + b^4*c^3*d + a^3*c^4*d - b^3*c^4*d - a^4*b*d^3 + a*b^4*d^3 + a^4*c*d^3 - b^4*c*d^3 - a*c^4*d^3 + b*c^4*d^3 + a^3*b*d^4 - a*b^3*d^4 - a^3*c*d^4 + b^3*c*d^4 + a*c^3*d^4 - b*c^3*d^4 + 4*a^3*b^2*c - 4*a^2*b^3*c - 4*a^3*b*c^2 + 4*a*b^3*c^2 + 4*a^2*b*c^3 - 4*a*b^2*c^3 - 4*a^3*b^2*d + 4*a^2*b^3*d + 4*a^3*c^2*d - 4*b^3*c^2*d - 4*a^2*c^3*d + 4*b^2*c^3*d + 4*a^3*b*d^2 - 4*a*b^3*d^2 - 4*a^3*c*d^2 + 4*b^3*c*d^2 + 4*a*c^3*d^2 - 4*b*c^3*d^2 - 4*a^2*b*d^3 + 4*a*b^2*d^3 + 4*a^2*c*d^3 - 4*b^2*c*d^3 - 4*a*c^2*d^3 + 4*b*c^2*d^3\n"}︡{"stdout":"(4*a*b*c*d - a*b - a*c - b*c - a*d - b*d - c*d + 4)*(a - b)*(a - c)*(a - d)*(b - c)*(b - d)*(c - d)\n"}︡{"stdout":"4*a*b*c*d - a*b - a*c - b*c - a*d - b*d - c*d + 4\n"}︡{"done":true}︡
︠5feaf1bf-ddf9-456d-b339-5c12b0225637︠
# General rational space quartic with coordinates of degrees 4,3,2,1
t,t1,t2,t3,t4=var('t,t1,t2,t3,t4')
a3, a2, a1, a0, b2, b1, b0, c1, c0, d0 = var('a3, a2, a1, a0, b2, b1, b0, c1, c0, d0')
p1 = t^4 + a3*t^3 + a2*t^2 + a1*t + a0
p2 = t^3 + b2*t^2 + b1*t + b0
p3 = t^2 + c1*t + c0
p4 = t + d0
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
p=(m.determinant().factor())/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))
p.show()
︡71f0f14c-a531-4bfe-839c-d23308f73b31︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\na_{3} t_{1}^{3} + t_{1}^{4} + a_{2} t_{1}^{2} + a_{1} t_{1} + a_{0} &amp; b_{2} t_{1}^{2} + t_{1}^{3} + b_{1} t_{1} + b_{0} &amp; c_{1} t_{1} + t_{1}^{2} + c_{0} &amp; d_{0} + t_{1} \\\\\na_{3} t_{2}^{3} + t_{2}^{4} + a_{2} t_{2}^{2} + a_{1} t_{2} + a_{0} &amp; b_{2} t_{2}^{2} + t_{2}^{3} + b_{1} t_{2} + b_{0} &amp; c_{1} t_{2} + t_{2}^{2} + c_{0} &amp; d_{0} + t_{2} \\\\\na_{3} t_{3}^{3} + t_{3}^{4} + a_{2} t_{3}^{2} + a_{1} t_{3} + a_{0} &amp; b_{2} t_{3}^{2} + t_{3}^{3} + b_{1} t_{3} + b_{0} &amp; c_{1} t_{3} + t_{3}^{2} + c_{0} &amp; d_{0} + t_{3} \\\\\na_{3} t_{4}^{3} + t_{4}^{4} + a_{2} t_{4}^{2} + a_{1} t_{4} + a_{0} &amp; b_{2} t_{4}^{2} + t_{4}^{3} + b_{1} t_{4} + b_{0} &amp; c_{1} t_{4} + t_{4}^{2} + c_{0} &amp; d_{0} + t_{4}\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle a_{3} b_{2} c_{1} d_{0} + b_{2} c_{1} d_{0} t_{1} + b_{2} c_{1} d_{0} t_{2} + c_{1} d_{0} t_{1} t_{2} + b_{2} c_{1} d_{0} t_{3} + c_{1} d_{0} t_{1} t_{3} + c_{1} d_{0} t_{2} t_{3} + d_{0} t_{1} t_{2} t_{3} + b_{2} c_{1} d_{0} t_{4} + c_{1} d_{0} t_{1} t_{4} + c_{1} d_{0} t_{2} t_{4} + d_{0} t_{1} t_{2} t_{4} + c_{1} d_{0} t_{3} t_{4} + d_{0} t_{1} t_{3} t_{4} + d_{0} t_{2} t_{3} t_{4} + t_{1} t_{2} t_{3} t_{4} - a_{3} b_{2} c_{0} - a_{3} b_{1} d_{0} - a_{2} c_{1} d_{0} - b_{2} c_{0} t_{1} - b_{1} d_{0} t_{1} - b_{2} c_{0} t_{2} - b_{1} d_{0} t_{2} - c_{0} t_{1} t_{2} - b_{2} c_{0} t_{3} - b_{1} d_{0} t_{3} - c_{0} t_{1} t_{3} - c_{0} t_{2} t_{3} - b_{2} c_{0} t_{4} - b_{1} d_{0} t_{4} - c_{0} t_{1} t_{4} - c_{0} t_{2} t_{4} - c_{0} t_{3} t_{4} + a_{3} b_{0} + a_{2} c_{0} + a_{1} d_{0} + b_{0} t_{1} + b_{0} t_{2} + b_{0} t_{3} + b_{0} t_{4} - a_{0}$</div>"}︡{"done":true}︡
︠8e98e2c3-d44e-4d45-8f23-b185006bea96s︠
# rational space quartic with coordinates of degrees 4,3,2,1
t,t1,t2,t3,t4=var('t,t1,t2,t3,t4')
p, q, r, s = var('p,q,r,s')
p1 = t^4 - p
p2 = t^3 + q
p3 = t^2 - r
p4 = t + s
# gamma(x) describes the space quartic as x varies
gamma(x) = [p1.substitute(t==x), p2.substitute(t==x), p3.substitute(t==x), p4.substitute(t==x)]
# 4 distinct points t1, t2, t3, t4 are coplanar iff the following matrix is singular
m = matrix(SR,[gamma(t1), gamma(t2), gamma(t3), gamma(t4)])
F=(m.determinant().factor())/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))
print("The symmetric expression F is")
F.show()
print("Solve F=0 for t4 and set it equal to f")
f=solve(F,t4)[0].rhs(); f.show(); latex(f);
print("Quotient of the partial derivatives of f with respect to t2 and t3:")
g = (f.diff(t2)/f.diff(t3)).simplify_full(); g.show()
print("The above expression should be independent of t1, so take the partial derivative wrt t1, take the numerator of that and factorize:")
h = g.diff(t1); h.numerator().show()
h.numerator().factor().show()
print("Since t1, t2, t3 are arbitrary in some small ball, the first and last factors are non-zero generically, and we obtain that the catalecticant vanishes.")
# (h.numerator().factor())/((t2-t3)*(r^3-2*q*r*s+p*s^2+q^2-p*r))
(((h.numerator().factor())/(t2-t3))/(r^3 - 2*q*r*s + p*s^2 + q^2 - p*r)).simplify_full().show()
den = factor(h.denominator())
den2 = s^2*t1^2*t2^2 + r*s*t1^2*t2 + r*s*t1*t2^2 - r*t1^2*t2^2 + r^2*t1^2 - q*s*t1^2 + r^2*t1*t2 - q*t1^2*t2 + r^2*t2^2 - q*s*t2^2 - q*t1*t2^2 + q*r*t1 - p*s*t1 + q*r*t2 - p*s*t2 - p*t1*t2 + q^2 - p*r
den2.show()
den2.factor().show()
latex(den2)
g.denominator().simplify_full().show()
︡4ef4e748-4d45-4298-928d-18e2a22e6033︡{"stdout":"The symmetric expression F is\n"}︡{"html":"<div align='center'>$\\displaystyle s t_{1} t_{2} t_{3} + s t_{1} t_{2} t_{4} + s t_{1} t_{3} t_{4} + s t_{2} t_{3} t_{4} + t_{1} t_{2} t_{3} t_{4} + r t_{1} t_{2} + r t_{1} t_{3} + r t_{2} t_{3} + r t_{1} t_{4} + r t_{2} t_{4} + r t_{3} t_{4} + q t_{1} + q t_{2} + q t_{3} + q t_{4} + p$</div>"}︡{"stdout":"Solve F=0 for t4 and set it equal to f\n"}︡{"html":"<div align='center'>$\\displaystyle -\\frac{q t_{1} + {\\left(r t_{1} + q\\right)} t_{2} + {\\left(r t_{1} + {\\left(s t_{1} + r\\right)} t_{2} + q\\right)} t_{3} + p}{r t_{1} + {\\left(s t_{1} + r\\right)} t_{2} + {\\left(s t_{1} + {\\left(s + t_{1}\\right)} t_{2} + r\\right)} t_{3} + q}$</div>"}︡{"stdout":"-\\frac{q t_{1} + {\\left(r t_{1} + q\\right)} t_{2} + {\\left(r t_{1} + {\\left(s t_{1} + r\\right)} t_{2} + q\\right)} t_{3} + p}{r t_{1} + {\\left(s t_{1} + r\\right)} t_{2} + {\\left(s t_{1} + {\\left(s + t_{1}\\right)} t_{2} + r\\right)} t_{3} + q}\n"}︡{"stdout":"Quotient of the partial derivatives of f with respect to t2 and t3:\n"}︡{"html":"<div align='center'>$\\displaystyle \\frac{{\\left(r^{2} - q s\\right)} t_{1}^{2} + {\\left({\\left(s^{2} - r\\right)} t_{1}^{2} + r^{2} - q s + {\\left(r s - q\\right)} t_{1}\\right)} t_{3}^{2} + q^{2} - p r + {\\left(q r - p s\\right)} t_{1} + {\\left({\\left(r s - q\\right)} t_{1}^{2} + q r - p s + {\\left(r^{2} - p\\right)} t_{1}\\right)} t_{3}}{{\\left(r^{2} - q s\\right)} t_{1}^{2} + {\\left({\\left(s^{2} - r\\right)} t_{1}^{2} + r^{2} - q s + {\\left(r s - q\\right)} t_{1}\\right)} t_{2}^{2} + q^{2} - p r + {\\left(q r - p s\\right)} t_{1} + {\\left({\\left(r s - q\\right)} t_{1}^{2} + q r - p s + {\\left(r^{2} - p\\right)} t_{1}\\right)} t_{2}}$</div>"}︡{"stdout":"The above expression should be independent of t1, so take the partial derivative wrt t1, take the numerator of that and factorize:\n"}︡{"html":"<div align='center'>$\\displaystyle r^{3} s t_{1}^{2} t_{2}^{2} - 2 \\, q r s^{2} t_{1}^{2} t_{2}^{2} + p s^{3} t_{1}^{2} t_{2}^{2} + 2 \\, r^{3} s t_{1} t_{2}^{2} t_{3} - 4 \\, q r s^{2} t_{1} t_{2}^{2} t_{3} + 2 \\, p s^{3} t_{1} t_{2}^{2} t_{3} + r^{3} t_{1}^{2} t_{2}^{2} t_{3} - 2 \\, q r s t_{1}^{2} t_{2}^{2} t_{3} + p s^{2} t_{1}^{2} t_{2}^{2} t_{3} - r^{3} s t_{1}^{2} t_{3}^{2} + 2 \\, q r s^{2} t_{1}^{2} t_{3}^{2} - p s^{3} t_{1}^{2} t_{3}^{2} - 2 \\, r^{3} s t_{1} t_{2} t_{3}^{2} + 4 \\, q r s^{2} t_{1} t_{2} t_{3}^{2} - 2 \\, p s^{3} t_{1} t_{2} t_{3}^{2} - r^{3} t_{1}^{2} t_{2} t_{3}^{2} + 2 \\, q r s t_{1}^{2} t_{2} t_{3}^{2} - p s^{2} t_{1}^{2} t_{2} t_{3}^{2} + r^{4} t_{1}^{2} t_{2} - 2 \\, q r^{2} s t_{1}^{2} t_{2} + p r s^{2} t_{1}^{2} t_{2} + 2 \\, r^{4} t_{1} t_{2}^{2} - 4 \\, q r^{2} s t_{1} t_{2}^{2} + 2 \\, p r s^{2} t_{1} t_{2}^{2} + q^{2} s t_{1}^{2} t_{2}^{2} - p r s t_{1}^{2} t_{2}^{2} - r^{4} t_{1}^{2} t_{3} + 2 \\, q r^{2} s t_{1}^{2} t_{3} - p r s^{2} t_{1}^{2} t_{3} + r^{4} t_{2}^{2} t_{3} - 2 \\, q r^{2} s t_{2}^{2} t_{3} + p r s^{2} t_{2}^{2} t_{3} + 2 \\, q^{2} s t_{1} t_{2}^{2} t_{3} - 2 \\, p r s t_{1} t_{2}^{2} t_{3} + q^{2} t_{1}^{2} t_{2}^{2} t_{3} - p r t_{1}^{2} t_{2}^{2} t_{3} - 2 \\, r^{4} t_{1} t_{3}^{2} + 4 \\, q r^{2} s t_{1} t_{3}^{2} - 2 \\, p r s^{2} t_{1} t_{3}^{2} - q^{2} s t_{1}^{2} t_{3}^{2} + p r s t_{1}^{2} t_{3}^{2} - r^{4} t_{2} t_{3}^{2} + 2 \\, q r^{2} s t_{2} t_{3}^{2} - p r s^{2} t_{2} t_{3}^{2} - 2 \\, q^{2} s t_{1} t_{2} t_{3}^{2} + 2 \\, p r s t_{1} t_{2} t_{3}^{2} - q^{2} t_{1}^{2} t_{2} t_{3}^{2} + p r t_{1}^{2} t_{2} t_{3}^{2} + 2 \\, q r^{3} t_{1} t_{2} - 4 \\, q^{2} r s t_{1} t_{2} + 2 \\, p q s^{2} t_{1} t_{2} + q^{2} r t_{1}^{2} t_{2} - p r^{2} t_{1}^{2} t_{2} + q r^{3} t_{2}^{2} - 2 \\, q^{2} r s t_{2}^{2} + p q s^{2} t_{2}^{2} + 2 \\, q^{2} r t_{1} t_{2}^{2} - 2 \\, p r^{2} t_{1} t_{2}^{2} - 2 \\, q r^{3} t_{1} t_{3} + 4 \\, q^{2} r s t_{1} t_{3} - 2 \\, p q s^{2} t_{1} t_{3} - q^{2} r t_{1}^{2} t_{3} + p r^{2} t_{1}^{2} t_{3} + q^{2} r t_{2}^{2} t_{3} - p r^{2} t_{2}^{2} t_{3} - q r^{3} t_{3}^{2} + 2 \\, q^{2} r s t_{3}^{2} - p q s^{2} t_{3}^{2} - 2 \\, q^{2} r t_{1} t_{3}^{2} + 2 \\, p r^{2} t_{1} t_{3}^{2} - q^{2} r t_{2} t_{3}^{2} + p r^{2} t_{2} t_{3}^{2} + p r^{3} t_{2} - 2 \\, p q r s t_{2} + p^{2} s^{2} t_{2} + 2 \\, q^{3} t_{1} t_{2} - 2 \\, p q r t_{1} t_{2} + q^{3} t_{2}^{2} - p q r t_{2}^{2} - p r^{3} t_{3} + 2 \\, p q r s t_{3} - p^{2} s^{2} t_{3} - 2 \\, q^{3} t_{1} t_{3} + 2 \\, p q r t_{1} t_{3} - q^{3} t_{3}^{2} + p q r t_{3}^{2} + p q^{2} t_{2} - p^{2} r t_{2} - p q^{2} t_{3} + p^{2} r t_{3}$</div>"}︡{"html":"<div align='center'>$\\displaystyle {\\left(s t_{1}^{2} t_{2} + s t_{1}^{2} t_{3} + 2 \\, s t_{1} t_{2} t_{3} + t_{1}^{2} t_{2} t_{3} + r t_{1}^{2} + 2 \\, r t_{1} t_{2} + 2 \\, r t_{1} t_{3} + r t_{2} t_{3} + 2 \\, q t_{1} + q t_{2} + q t_{3} + p\\right)} {\\left(r^{3} - 2 \\, q r s + p s^{2} + q^{2} - p r\\right)} {\\left(t_{2} - t_{3}\\right)}$</div>"}︡{"stdout":"Since t1, t2, t3 are arbitrary in some small ball, the first and last factors are non-zero generically, and we obtain that the catalecticant vanishes.\n"}︡{"html":"<div align='center'>$\\displaystyle r t_{1}^{2} + 2 \\, q t_{1} + {\\left(s t_{1}^{2} + 2 \\, r t_{1} + q\\right)} t_{2} + {\\left(s t_{1}^{2} + 2 \\, r t_{1} + {\\left(2 \\, s t_{1} + t_{1}^{2} + r\\right)} t_{2} + q\\right)} t_{3} + p$</div>"}︡{"html":"<div align='center'>$\\displaystyle s^{2} t_{1}^{2} t_{2}^{2} + r s t_{1}^{2} t_{2} + r s t_{1} t_{2}^{2} - r t_{1}^{2} t_{2}^{2} + r^{2} t_{1}^{2} - q s t_{1}^{2} + r^{2} t_{1} t_{2} - q t_{1}^{2} t_{2} + r^{2} t_{2}^{2} - q s t_{2}^{2} - q t_{1} t_{2}^{2} + q r t_{1} - p s t_{1} + q r t_{2} - p s t_{2} - p t_{1} t_{2} + q^{2} - p r$</div>"}︡{"html":"<div align='center'>$\\displaystyle s^{2} t_{1}^{2} t_{2}^{2} + r s t_{1}^{2} t_{2} + r s t_{1} t_{2}^{2} - r t_{1}^{2} t_{2}^{2} + r^{2} t_{1}^{2} - q s t_{1}^{2} + r^{2} t_{1} t_{2} - q t_{1}^{2} t_{2} + r^{2} t_{2}^{2} - q s t_{2}^{2} - q t_{1} t_{2}^{2} + q r t_{1} - p s t_{1} + q r t_{2} - p s t_{2} - p t_{1} t_{2} + q^{2} - p r$</div>"}︡{"stdout":"s^{2} t_{1}^{2} t_{2}^{2} + r s t_{1}^{2} t_{2} + r s t_{1} t_{2}^{2} - r t_{1}^{2} t_{2}^{2} + r^{2} t_{1}^{2} - q s t_{1}^{2} + r^{2} t_{1} t_{2} - q t_{1}^{2} t_{2} + r^{2} t_{2}^{2} - q s t_{2}^{2} - q t_{1} t_{2}^{2} + q r t_{1} - p s t_{1} + q r t_{2} - p s t_{2} - p t_{1} t_{2} + q^{2} - p r\n"}︡{"html":"<div align='center'>$\\displaystyle {\\left(r^{2} - q s\\right)} t_{1}^{2} + {\\left({\\left(s^{2} - r\\right)} t_{1}^{2} + r^{2} - q s + {\\left(r s - q\\right)} t_{1}\\right)} t_{2}^{2} + q^{2} - p r + {\\left(q r - p s\\right)} t_{1} + {\\left({\\left(r s - q\\right)} t_{1}^{2} + q r - p s + {\\left(r^{2} - p\\right)} t_{1}\\right)} t_{2}$</div>"}︡{"done":true}︡
︠626041eb-abaa-4a76-83c3-9356138fa0cbss︠
# a, b, c, d = var('a,b,c,d')
R.<a,b,c,d> = PolynomialRing(QQ, 4, 'abcd')
# p, q, r, s = var('p,q,r,s')
p = a*b*c*d
q = -(a*b*c + a*b*d + a*c*d + b*c*d)
r = (a*b+a*c+a*d+b*c+b*d+c*d)
s = -(a+b+c+d)
g = (a-c)*(c-b)+(1/2)*(d-b)*(a-d); g
I = Ideal(g); I
C = (r^3-2*q*r*s+p*s^2+q^2-p*r); C
#C.factor().show()
C in I
C.reduce(I).factor()
(C/g).simplify()

︡77ff1774-46b5-44cc-b238-c45f8b86552c︡{"stdout":"-3/2*a*b + a*c + b*c - c^2 + 1/2*a*d + 1/2*b*d - 1/2*d^2\n"}︡{"stdout":"Ideal (-3/2*a*b + a*c + b*c - c^2 + 1/2*a*d + 1/2*b*d - 1/2*d^2) of Multivariate Polynomial Ring in a, b, c, d over Rational Field\n"}︡{"stdout":"a^3*b^3 + a^3*b^2*c + a^2*b^3*c + a^3*b*c^2 + a^2*b^2*c^2 + a*b^3*c^2 + a^3*c^3 + a^2*b*c^3 + a*b^2*c^3 + b^3*c^3 + a^3*b^2*d + a^2*b^3*d + a^3*b*c*d + 2*a^2*b^2*c*d + a*b^3*c*d + a^3*c^2*d + 2*a^2*b*c^2*d + 2*a*b^2*c^2*d + b^3*c^2*d + a^2*c^3*d + a*b*c^3*d + b^2*c^3*d + a^3*b*d^2 + a^2*b^2*d^2 + a*b^3*d^2 + a^3*c*d^2 + 2*a^2*b*c*d^2 + 2*a*b^2*c*d^2 + b^3*c*d^2 + a^2*c^2*d^2 + 2*a*b*c^2*d^2 + b^2*c^2*d^2 + a*c^3*d^2 + b*c^3*d^2 + a^3*d^3 + a^2*b*d^3 + a*b^2*d^3 + b^3*d^3 + a^2*c*d^3 + a*b*c*d^3 + b^2*c*d^3 + a*c^2*d^3 + b*c^2*d^3 + c^3*d^3\n"}︡{"stdout":"False\n"}︡{"stdout":"(-1/81) * (-195*a^3*c^3 - 195*b^3*c^3 - 48*a^2*c^4 - 48*b^2*c^4 + 38*a*c^5 + 38*b*c^5 + 124*c^6 - 270*a^3*c^2*d - 270*b^3*c^2*d - 438*a^2*c^3*d - 438*b^2*c^3*d - 184*a*c^4*d - 184*b*c^4*d + 530*c^5*d - 225*a^3*c*d^2 - 225*b^3*c*d^2 - 468*a^2*c^2*d^2 - 468*b^2*c^2*d^2 - 649*a*c^3*d^2 - 649*b*c^3*d^2 + 764*c^4*d^2 - 120*a^3*d^3 - 120*b^3*d^3 - 258*a^2*c*d^3 - 258*b^2*c*d^3 - 434*a*c^2*d^3 - 434*b*c^2*d^3 + 474*c^3*d^3 - 3*a^2*d^4 - 3*b^2*d^4 - 14*a*c*d^4 - 14*b*c*d^4 + 379*c^2*d^4 + 28*a*d^5 + 28*b*d^5 + 145*c*d^5 + 14*d^6)\n"}︡{"stderr":"Error in lines 11-11\nTraceback (most recent call last):\n  File \"/cocalc/lib/python2.7/site-packages/smc_sagews/sage_server.py\", line 1013, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\n  File \"sage/structure/element.pyx\", line 484, in sage.structure.element.Element.__getattr__ (build/cythonized/sage/structure/element.c:4377)\n    return self.getattr_from_category(name)\n  File \"sage/structure/element.pyx\", line 497, in sage.structure.element.Element.getattr_from_category (build/cythonized/sage/structure/element.c:4486)\n    return getattr_from_other_class(self, cls, name)\n  File \"sage/cpython/getattr.pyx\", line 254, in sage.cpython.getattr.getattr_from_other_class (build/cythonized/sage/cpython/getattr.c:1901)\n    raise dummy_attribute_error\nAttributeError: 'sage.rings.fraction_field_element.FractionFieldElement' object has no attribute 'simplify'\n"}︡{"done":true}︡
︠8cdb691d-bbb8-4305-afc1-593b04ccd29b︠
# A special rational space quartic with coordinates of degrees 4,3,2,0
t,t1,t2,t3,t4=var('t,t1,t2,t3,t4')
a, b, c = var('a,b,c')
p1 = t^4 + a*t
p2 = t^3 + b*t
p3 = t^2 + c*t
p4 = 1
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
p=(m.determinant().factor())/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))
p.show()
︡781cbf34-1fef-4258-a7bf-56fdc6daf7cb︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\nt_{1}^{4} + a t_{1} &amp; t_{1}^{3} + b t_{1} &amp; c t_{1} + t_{1}^{2} &amp; 1 \\\\\nt_{2}^{4} + a t_{2} &amp; t_{2}^{3} + b t_{2} &amp; c t_{2} + t_{2}^{2} &amp; 1 \\\\\nt_{3}^{4} + a t_{3} &amp; t_{3}^{3} + b t_{3} &amp; c t_{3} + t_{3}^{2} &amp; 1 \\\\\nt_{4}^{4} + a t_{4} &amp; t_{4}^{3} + b t_{4} &amp; c t_{4} + t_{4}^{2} &amp; 1\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle c t_{1} t_{2} + c t_{1} t_{3} + c t_{2} t_{3} + t_{1} t_{2} t_{3} + c t_{1} t_{4} + c t_{2} t_{4} + t_{1} t_{2} t_{4} + c t_{3} t_{4} + t_{1} t_{3} t_{4} + t_{2} t_{3} t_{4} - b t_{1} - b t_{2} - b t_{3} - b t_{4} + a$</div>"}︡{"done":true}︡︡
︠8cc718c1-ec0c-46d5-8698-f7a786970e10︠
# A special rational space quartic with coordinates of degrees 4,3,1,0
t,t1,t2,t3,t4=var('t,t1,t2,t3,t4')
a, b = var('a,b')
p1 = t^4 + a*t^2
p2 = t^3 + b*t^2
p3 = t
p4 = 1
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
p=(m.determinant().factor())/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))
p.show()
︡3c482e0e-e820-49ac-a3a0-a67528e92bcb︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\nt_{1}^{4} + a t_{1}^{2} &amp; b t_{1}^{2} + t_{1}^{3} &amp; t_{1} &amp; 1 \\\\\nt_{2}^{4} + a t_{2}^{2} &amp; b t_{2}^{2} + t_{2}^{3} &amp; t_{2} &amp; 1 \\\\\nt_{3}^{4} + a t_{3}^{2} &amp; b t_{3}^{2} + t_{3}^{3} &amp; t_{3} &amp; 1 \\\\\nt_{4}^{4} + a t_{4}^{2} &amp; b t_{4}^{2} + t_{4}^{3} &amp; t_{4} &amp; 1\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle b t_{1} + b t_{2} + t_{1} t_{2} + b t_{3} + t_{1} t_{3} + t_{2} t_{3} + b t_{4} + t_{1} t_{4} + t_{2} t_{4} + t_{3} t_{4} - a$</div>"}︡{"done":true}︡
︠1124c0bf-8bd3-4136-84e6-284b508d7d76︠
# General rational space quartic with coordinates of degrees 4,2,1,0
t,t1,t2,t3,t4=var('t,t1,t2,t3,t4')
a3, a2, a1, a0, b2, b1, b0, c1, c0, d0 = var('a3, a2, a1, a0, b2, b1, b0, c1, c0, d0')
p1 = t^4 + a3*t^3 + a2*t^2 + a1*t + a0
p2 = t^2 + b1*t + b0
p3 = t + c0
p4 = 1
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
p=(m.determinant().factor())/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))
p.show()
︡c8cadf99-50f7-4b32-9f10-14f9160352fc︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\na_{3} t_{1}^{3} + t_{1}^{4} + a_{2} t_{1}^{2} + a_{1} t_{1} + a_{0} &amp; b_{1} t_{1} + t_{1}^{2} + b_{0} &amp; c_{0} + t_{1} &amp; 1 \\\\\na_{3} t_{2}^{3} + t_{2}^{4} + a_{2} t_{2}^{2} + a_{1} t_{2} + a_{0} &amp; b_{1} t_{2} + t_{2}^{2} + b_{0} &amp; c_{0} + t_{2} &amp; 1 \\\\\na_{3} t_{3}^{3} + t_{3}^{4} + a_{2} t_{3}^{2} + a_{1} t_{3} + a_{0} &amp; b_{1} t_{3} + t_{3}^{2} + b_{0} &amp; c_{0} + t_{3} &amp; 1 \\\\\na_{3} t_{4}^{3} + t_{4}^{4} + a_{2} t_{4}^{2} + a_{1} t_{4} + a_{0} &amp; b_{1} t_{4} + t_{4}^{2} + b_{0} &amp; c_{0} + t_{4} &amp; 1\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle a_{3} + t_{1} + t_{2} + t_{3} + t_{4}$</div>"}︡{"done":true}︡
︠4837a43d-db14-45f5-a305-315e0fcbeeb9︠

︡931bf9bd-9af4-4c87-a6ab-21575414ac47︡
︠f954d9a0-2179-46b5-a29e-c3fde5f1aead︠
t,s,t1,t2,t3,t4,A=var('t,s,t1,t2,t3,t4,A')
p1 = t*(t^2+1)
p2 = t^4-1
p3 = t*(t^2-1)
p4 = t^4 + 2*A*t^2 + 1
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
(m.determinant().factor()).show()
(m.determinant().factor()/(-4*(t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))).show()
︡658d7f23-4b46-4e4c-ab98-7cf549a35ff8︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\n{\\left(t_{1}^{2} + 1\\right)} t_{1} &amp; t_{1}^{4} - 1 &amp; {\\left(t_{1}^{2} - 1\\right)} t_{1} &amp; t_{1}^{4} + 2 \\, A t_{1}^{2} + 1 \\\\\n{\\left(t_{2}^{2} + 1\\right)} t_{2} &amp; t_{2}^{4} - 1 &amp; {\\left(t_{2}^{2} - 1\\right)} t_{2} &amp; t_{2}^{4} + 2 \\, A t_{2}^{2} + 1 \\\\\n{\\left(t_{3}^{2} + 1\\right)} t_{3} &amp; t_{3}^{4} - 1 &amp; {\\left(t_{3}^{2} - 1\\right)} t_{3} &amp; t_{3}^{4} + 2 \\, A t_{3}^{2} + 1 \\\\\n{\\left(t_{4}^{2} + 1\\right)} t_{4} &amp; t_{4}^{4} - 1 &amp; {\\left(t_{4}^{2} - 1\\right)} t_{4} &amp; t_{4}^{4} + 2 \\, A t_{4}^{2} + 1\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle -4 \\, {\\left(A t_{1} t_{2} t_{3} t_{4} - t_{1} t_{2} - t_{1} t_{3} - t_{2} t_{3} - t_{1} t_{4} - t_{2} t_{4} - t_{3} t_{4} + A\\right)} {\\left(t_{1} - t_{2}\\right)} {\\left(t_{1} - t_{3}\\right)} {\\left(t_{1} - t_{4}\\right)} {\\left(t_{2} - t_{3}\\right)} {\\left(t_{2} - t_{4}\\right)} {\\left(t_{3} - t_{4}\\right)}$</div>"}︡{"html":"<div align='center'>$\\displaystyle A t_{1} t_{2} t_{3} t_{4} - t_{1} t_{2} - t_{1} t_{3} - t_{2} t_{3} - t_{1} t_{4} - t_{2} t_{4} - t_{3} t_{4} + A$</div>"}︡{"done":true}︡
︠d91f0940-9a06-4f3c-b00d-41aee7d2e84d︠
R.<t> = QQ['t']
a,b,c,d,x,y,z,w=var('a,b,c,d,x,y,z,w')
x = t^4+a
y = t^3 + b
z = t^2 + c
w = t + d
p1 = expand(x*w-y*z - d*z^2 + c*z*w + (c*d+b)*w^2)
p2 = expand(x*w-y*z - d*y*w + (d^2+c)*z*w - (d^3+c*d-b)*w^2)
p1.show()
p2.show()
p3 = expand((p1*(2*d^4+c*d^2-c^2-b*d-a) + p2*(2*c*d^2+c^2+2*b*d+a))/d)
p3.show()
︡590e2373-2d41-4b7e-833a-e9181cbfeee9︡{"html":"<div align='center'>$\\displaystyle c d^{3} + 2 \\, c d^{2} t + b d^{2} + c^{2} t + 2 \\, b d t - b c + a d + a t$</div>"}︡{"html":"<div align='center'>$\\displaystyle -d^{5} - 2 \\, d^{4} t - c d^{2} t + c^{2} d + c^{2} t + b d t - b c + a d + a t$</div>"}︡{"html":"<div align='center'>$\\displaystyle c^{3} d^{2} - 2 \\, b c d^{3} + a d^{4} + c^{4} - 2 \\, b c^{2} d - b^{2} d^{2} + 2 \\, a c d^{2} - b^{2} c + a c^{2}$</div>"}︡{"done":true}︡
︠e190d2a4-fa4d-4f8b-81e9-c50615c1bf70s︠
p,q,r,s=var('p,q,r,s')
#a13,a14,a24,a33,a34,a44
m = matrix(SR,[[2*r,2*s,2,1,0,0],
               [-2*q,-r,s,0,1,0],
               [2*p,-2*q,0,2*r,2*s,1],
               [0,p,q,0,r,s],
               [2*(p*r-q^2),2*(p*s-q*r),2*q*s,r^2,2*r*s,s^2]])
minors = m.minors(5)
for i in minors:
    i.factor().show()
    i.factor()

︡3ea189f1-10b1-46d0-b1b8-6041a8f06f0a︡{"html":"<div align='center'>$\\displaystyle -4 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(q^{2} - p r\\right)}$</div>"}︡{"stdout":"-4*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(q^2 - p*r)\n"}︡{"html":"<div align='center'>$\\displaystyle -2 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(q r - p s\\right)}$</div>"}︡{"stdout":"-2*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(q*r - p*s)\n"}︡{"html":"<div align='center'>$\\displaystyle -4 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(q s + p\\right)}$</div>"}︡{"stdout":"-4*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(q*s + p)\n"}︡{"html":"<div align='center'>$\\displaystyle 2 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(r^{2} - 2 \\, q s - p\\right)}$</div>"}︡{"stdout":"2*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(r^2 - 2*q*s - p)\n"}︡{"html":"<div align='center'>$\\displaystyle -2 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(r s + q\\right)}$</div>"}︡{"stdout":"-2*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(r*s + q)"}︡{"stdout":"\n"}︡{"html":"<div align='center'>$\\displaystyle -2 \\, {\\left(r^{3} - 2 \\, q r s + p s^{2} - q^{2} + p r\\right)} {\\left(s^{2} + r\\right)}$</div>"}︡{"stdout":"-2*(r^3 - 2*q*r*s + p*s^2 - q^2 + p*r)*(s^2 + r)\n"}︡{"done":true}︡
︠05d09316-49f2-4738-b11a-7c4abd85f82fr︠
p,q,r,s,a,b,c=var('p,q,r,s,a,b,c')
s = b-4*a
r = 3*a*(2*a-b)
q = a^2*(-4*a+3*b)
p = (a-b)*a^3+c
expand((-r^3 + 2*q*r*s - p*s^2 + q^2 - p*r).factorise()
︡7ea7f474-8794-439f-96ec-2628a211a46e︡
︠63ef5e50-9254-44b3-9cf5-4acccbcf6284s︠
R.<t,a,b,c,d,e> = QQ['t,a,b,c,d,e']
#a,b,c,d,e=var('a,b,c,d,e')
m = matrix(R, [ [t+e,e*t+d, d*t+c], [e*t+d, d*t+c, c*t+b], [d*t+c, c*t+b, b*t+a]])
y = m.determinant()
show(y)
for i in range(4):
       show(y.coefficient({t:i}))
︡84b812c3-41f5-425c-960d-f2cfd6ea4243︡{"html":"<div align='center'>$\\displaystyle - c^{3} + 2 b c d -  a d^{2} -  b^{2} e + a c e$</div>"}︡{"html":"<div align='center'>$\\displaystyle - c^{2} d + b d^{2} + b c e -  a d e -  b^{2} + a c$</div>"}︡{"html":"<div align='center'>$\\displaystyle - c d^{2} + c^{2} e + b d e -  a e^{2} -  b c + a d$</div>"}︡{"html":"<div align='center'>$\\displaystyle - d^{3} + 2 c d e -  b e^{2} -  c^{2} + b d$</div>"}︡{"done":true}︡
︠e617481c-c6cb-4d46-bfd2-cb91d0e8b16fs︠
p,q,r,s,a,b,c,t=var('p,q,r,s,a,b,c,t')
f = 4*((t-a)^2*(t-b)).integral(t); f.show()
fc = f.coefficients(t, sparse=False)
s = fc[3]/4
r = fc[2]/6
q = fc[1]/4
p = c
expand(-r^3 + 2*q*r*s - p*s^2 - q^2 + p*r).factor().show()
m = matrix(SR,[[1,1+s,1+r+2*s],[1+s,1+r+2*s,1+q+3*r+3*s],[1+r+2*s,1+q+3*r+3*s,1+p+4*q+6*r+4*s]]); expand(m.determinant()).simplify().show()
︡211e5324-0b68-44e3-b15f-b18e8595e8d5︡{"html":"<div align='center'>$\\displaystyle -4 \\, a^{2} b t - \\frac{4}{3} \\, {\\left(2 \\, a + b\\right)} t^{3} + t^{4} + 2 \\, {\\left(a^{2} + 2 \\, a b\\right)} t^{2}$</div>"}︡{"html":"<div align='center'>$\\displaystyle -\\frac{1}{27} \\, {\\left(a^{4} - 4 \\, a^{3} b + 3 \\, c\\right)} {\\left(a - b\\right)}^{2}$</div>"}︡{"html":"<div align='center'>$\\displaystyle -\\frac{1}{27} \\, a^{6} + \\frac{2}{9} \\, a^{5} b - \\frac{1}{3} \\, a^{4} b^{2} + \\frac{4}{27} \\, a^{3} b^{3} - \\frac{1}{9} \\, a^{2} c + \\frac{2}{9} \\, a b c - \\frac{1}{9} \\, b^{2} c$</div>"}︡{"done":true}︡
︠afe074c5-eab2-4c38-b188-17bdf123ed4bs︠
t,s,t1,t2,t3,t4,a0,a1,a2,a3,a4,b0,b1,b2,b3,b4,c0,c1,c2,c3,c4,d0,d1,d2,d3,d4=var('t,s,t1,t2,t3,t4,a0,a1,a2,a3,a4,b0,b1,b2,b3,b4,c0,c1,c2,c3,c4,d0,d1,d2,d3,d4')
p1 = a4*t^4+a3*t^3+a2*t^2+a1*t+a0
p2 = b4*t^4+b3*t^3+b2*t^2+b1*t+b0
p3 = c4*t^4+c3*t^3+c2*t^2+c1*t+c0
p4 = d4*t^4+d3*t^3+d2*t^2+d1*t+d0
q(s) = [p1.substitute(t==s), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
show(latex(m))
(m.determinant().factor()).show()
(m.determinant().factor()/((t1-t2)*(t1-t3)*(t1-t4)*(t2-t3)*(t2-t4)*(t3-t4))).show()

︡8ff9a018-b330-40a2-b8c5-1f3f46946069︡{"html":"<div align='center'>\\left(\\begin{array}{rrrr}\na_{4} t_{1}^{4} + a_{3} t_{1}^{3} + a_{2} t_{1}^{2} + a_{1} t_{1} + a_{0} &amp; b_{4} t_{1}^{4} + b_{3} t_{1}^{3} + b_{2} t_{1}^{2} + b_{1} t_{1} + b_{0} &amp; c_{4} t_{1}^{4} + c_{3} t_{1}^{3} + c_{2} t_{1}^{2} + c_{1} t_{1} + c_{0} &amp; d_{4} t_{1}^{4} + d_{3} t_{1}^{3} + d_{2} t_{1}^{2} + d_{1} t_{1} + d_{0} \\\\\na_{4} t_{2}^{4} + a_{3} t_{2}^{3} + a_{2} t_{2}^{2} + a_{1} t_{2} + a_{0} &amp; b_{4} t_{2}^{4} + b_{3} t_{2}^{3} + b_{2} t_{2}^{2} + b_{1} t_{2} + b_{0} &amp; c_{4} t_{2}^{4} + c_{3} t_{2}^{3} + c_{2} t_{2}^{2} + c_{1} t_{2} + c_{0} &amp; d_{4} t_{2}^{4} + d_{3} t_{2}^{3} + d_{2} t_{2}^{2} + d_{1} t_{2} + d_{0} \\\\\na_{4} t_{3}^{4} + a_{3} t_{3}^{3} + a_{2} t_{3}^{2} + a_{1} t_{3} + a_{0} &amp; b_{4} t_{3}^{4} + b_{3} t_{3}^{3} + b_{2} t_{3}^{2} + b_{1} t_{3} + b_{0} &amp; c_{4} t_{3}^{4} + c_{3} t_{3}^{3} + c_{2} t_{3}^{2} + c_{1} t_{3} + c_{0} &amp; d_{4} t_{3}^{4} + d_{3} t_{3}^{3} + d_{2} t_{3}^{2} + d_{1} t_{3} + d_{0} \\\\\na_{4} t_{4}^{4} + a_{3} t_{4}^{3} + a_{2} t_{4}^{2} + a_{1} t_{4} + a_{0} &amp; b_{4} t_{4}^{4} + b_{3} t_{4}^{3} + b_{2} t_{4}^{2} + b_{1} t_{4} + b_{0} &amp; c_{4} t_{4}^{4} + c_{3} t_{4}^{3} + c_{2} t_{4}^{2} + c_{1} t_{4} + c_{0} &amp; d_{4} t_{4}^{4} + d_{3} t_{4}^{3} + d_{2} t_{4}^{2} + d_{1} t_{4} + d_{0}\n\\end{array}\\right)</div>"}︡{"html":"<div align='center'>$\\displaystyle {\\left(a_{4} b_{3} c_{2} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{1} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{1} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{3} c_{1} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{4} c_{1} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{1} c_{3} d_{2} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{4} c_{3} d_{2} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{1} c_{4} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{3} c_{4} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{2} c_{1} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{4} c_{1} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{1} c_{2} d_{3} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{4} c_{2} d_{3} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{1} c_{4} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{2} c_{4} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{2} c_{1} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{3} c_{1} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{1} c_{2} d_{4} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{3} c_{2} d_{4} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{1} c_{3} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{2} c_{3} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{2} t_{3} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{2} t_{3} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{2} t_{3} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{2} t_{3} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{2} t_{3} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{2} t_{3} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{2} t_{3} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{2} t_{3} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{2} t_{3} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{2} t_{3} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{2} t_{3} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{2} t_{3} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{2} t_{3} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{2} t_{3} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{2} t_{3} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{2} t_{3} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{2} t_{3} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{2} t_{3} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{2} t_{3} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{2} t_{3} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{2} t_{3} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{2} t_{3} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{2} t_{3} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{2} t_{3} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{2} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{2} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{2} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{2} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{2} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{2} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{2} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{2} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{2} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{2} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{2} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{2} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{2} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{2} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{2} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{2} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{2} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{2} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{2} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{2} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{2} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{2} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{2} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{2} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{3} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{3} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{3} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{3} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{3} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{3} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{3} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{3} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{3} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{3} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{3} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{3} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{3} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{2} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{2} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{2} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{2} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{2} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{2} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{2} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{2} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{2} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{2} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{2} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{2} t_{3} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{2} t_{3} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{2} t_{3} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{2} t_{3} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{2} t_{3} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{2} t_{3} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{2} t_{3} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{2} t_{3} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{2} t_{3} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{2} t_{3} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{2} t_{3} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{2} t_{3} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{2} t_{3} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{2} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{2} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{2} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{2} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{2} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{2} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{2} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{2} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{2} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{2} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{2} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{2} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{2} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{2} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{2} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{2} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{2} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{2} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{2} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{2} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{2} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{2} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{2} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{2} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{3} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{3} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{3} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{3} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{3} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{3} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{3} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{3} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{3} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{3} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{3} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{3} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{3} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{3} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{3} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{3} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{3} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{3} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{3} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{3} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{3} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{3} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{3} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{3} + a_{4} b_{3} c_{1} d_{0} t_{2} t_{3} - a_{3} b_{4} c_{1} d_{0} t_{2} t_{3} - a_{4} b_{1} c_{3} d_{0} t_{2} t_{3} + a_{1} b_{4} c_{3} d_{0} t_{2} t_{3} + a_{3} b_{1} c_{4} d_{0} t_{2} t_{3} - a_{1} b_{3} c_{4} d_{0} t_{2} t_{3} - a_{4} b_{3} c_{0} d_{1} t_{2} t_{3} + a_{3} b_{4} c_{0} d_{1} t_{2} t_{3} + a_{4} b_{0} c_{3} d_{1} t_{2} t_{3} - a_{0} b_{4} c_{3} d_{1} t_{2} t_{3} - a_{3} b_{0} c_{4} d_{1} t_{2} t_{3} + a_{0} b_{3} c_{4} d_{1} t_{2} t_{3} + a_{4} b_{1} c_{0} d_{3} t_{2} t_{3} - a_{1} b_{4} c_{0} d_{3} t_{2} t_{3} - a_{4} b_{0} c_{1} d_{3} t_{2} t_{3} + a_{0} b_{4} c_{1} d_{3} t_{2} t_{3} + a_{1} b_{0} c_{4} d_{3} t_{2} t_{3} - a_{0} b_{1} c_{4} d_{3} t_{2} t_{3} - a_{3} b_{1} c_{0} d_{4} t_{2} t_{3} + a_{1} b_{3} c_{0} d_{4} t_{2} t_{3} + a_{3} b_{0} c_{1} d_{4} t_{2} t_{3} - a_{0} b_{3} c_{1} d_{4} t_{2} t_{3} - a_{1} b_{0} c_{3} d_{4} t_{2} t_{3} + a_{0} b_{1} c_{3} d_{4} t_{2} t_{3} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{2} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{2} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{2} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{2} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{2} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{2} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{2} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{2} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{2} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{2} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{2} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{2} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{2} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{2} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{2} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{2} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{2} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{2} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{2} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{2} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{2} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{2} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{2} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{2} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{3} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{3} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{3} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{3} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{3} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{3} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{3} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{3} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{3} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{3} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{3} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{3} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{3} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{3} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{3} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{3} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{3} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{3} t_{4} + a_{4} b_{2} c_{1} d_{0} t_{1} - a_{2} b_{4} c_{1} d_{0} t_{1} - a_{4} b_{1} c_{2} d_{0} t_{1} + a_{1} b_{4} c_{2} d_{0} t_{1} + a_{2} b_{1} c_{4} d_{0} t_{1} - a_{1} b_{2} c_{4} d_{0} t_{1} - a_{4} b_{2} c_{0} d_{1} t_{1} + a_{2} b_{4} c_{0} d_{1} t_{1} + a_{4} b_{0} c_{2} d_{1} t_{1} - a_{0} b_{4} c_{2} d_{1} t_{1} - a_{2} b_{0} c_{4} d_{1} t_{1} + a_{0} b_{2} c_{4} d_{1} t_{1} + a_{4} b_{1} c_{0} d_{2} t_{1} - a_{1} b_{4} c_{0} d_{2} t_{1} - a_{4} b_{0} c_{1} d_{2} t_{1} + a_{0} b_{4} c_{1} d_{2} t_{1} + a_{1} b_{0} c_{4} d_{2} t_{1} - a_{0} b_{1} c_{4} d_{2} t_{1} - a_{2} b_{1} c_{0} d_{4} t_{1} + a_{1} b_{2} c_{0} d_{4} t_{1} + a_{2} b_{0} c_{1} d_{4} t_{1} - a_{0} b_{2} c_{1} d_{4} t_{1} - a_{1} b_{0} c_{2} d_{4} t_{1} + a_{0} b_{1} c_{2} d_{4} t_{1} + a_{4} b_{2} c_{1} d_{0} t_{2} - a_{2} b_{4} c_{1} d_{0} t_{2} - a_{4} b_{1} c_{2} d_{0} t_{2} + a_{1} b_{4} c_{2} d_{0} t_{2} + a_{2} b_{1} c_{4} d_{0} t_{2} - a_{1} b_{2} c_{4} d_{0} t_{2} - a_{4} b_{2} c_{0} d_{1} t_{2} + a_{2} b_{4} c_{0} d_{1} t_{2} + a_{4} b_{0} c_{2} d_{1} t_{2} - a_{0} b_{4} c_{2} d_{1} t_{2} - a_{2} b_{0} c_{4} d_{1} t_{2} + a_{0} b_{2} c_{4} d_{1} t_{2} + a_{4} b_{1} c_{0} d_{2} t_{2} - a_{1} b_{4} c_{0} d_{2} t_{2} - a_{4} b_{0} c_{1} d_{2} t_{2} + a_{0} b_{4} c_{1} d_{2} t_{2} + a_{1} b_{0} c_{4} d_{2} t_{2} - a_{0} b_{1} c_{4} d_{2} t_{2} - a_{2} b_{1} c_{0} d_{4} t_{2} + a_{1} b_{2} c_{0} d_{4} t_{2} + a_{2} b_{0} c_{1} d_{4} t_{2} - a_{0} b_{2} c_{1} d_{4} t_{2} - a_{1} b_{0} c_{2} d_{4} t_{2} + a_{0} b_{1} c_{2} d_{4} t_{2} + a_{4} b_{2} c_{1} d_{0} t_{3} - a_{2} b_{4} c_{1} d_{0} t_{3} - a_{4} b_{1} c_{2} d_{0} t_{3} + a_{1} b_{4} c_{2} d_{0} t_{3} + a_{2} b_{1} c_{4} d_{0} t_{3} - a_{1} b_{2} c_{4} d_{0} t_{3} - a_{4} b_{2} c_{0} d_{1} t_{3} + a_{2} b_{4} c_{0} d_{1} t_{3} + a_{4} b_{0} c_{2} d_{1} t_{3} - a_{0} b_{4} c_{2} d_{1} t_{3} - a_{2} b_{0} c_{4} d_{1} t_{3} + a_{0} b_{2} c_{4} d_{1} t_{3} + a_{4} b_{1} c_{0} d_{2} t_{3} - a_{1} b_{4} c_{0} d_{2} t_{3} - a_{4} b_{0} c_{1} d_{2} t_{3} + a_{0} b_{4} c_{1} d_{2} t_{3} + a_{1} b_{0} c_{4} d_{2} t_{3} - a_{0} b_{1} c_{4} d_{2} t_{3} - a_{2} b_{1} c_{0} d_{4} t_{3} + a_{1} b_{2} c_{0} d_{4} t_{3} + a_{2} b_{0} c_{1} d_{4} t_{3} - a_{0} b_{2} c_{1} d_{4} t_{3} - a_{1} b_{0} c_{2} d_{4} t_{3} + a_{0} b_{1} c_{2} d_{4} t_{3} + a_{4} b_{2} c_{1} d_{0} t_{4} - a_{2} b_{4} c_{1} d_{0} t_{4} - a_{4} b_{1} c_{2} d_{0} t_{4} + a_{1} b_{4} c_{2} d_{0} t_{4} + a_{2} b_{1} c_{4} d_{0} t_{4} - a_{1} b_{2} c_{4} d_{0} t_{4} - a_{4} b_{2} c_{0} d_{1} t_{4} + a_{2} b_{4} c_{0} d_{1} t_{4} + a_{4} b_{0} c_{2} d_{1} t_{4} - a_{0} b_{4} c_{2} d_{1} t_{4} - a_{2} b_{0} c_{4} d_{1} t_{4} + a_{0} b_{2} c_{4} d_{1} t_{4} + a_{4} b_{1} c_{0} d_{2} t_{4} - a_{1} b_{4} c_{0} d_{2} t_{4} - a_{4} b_{0} c_{1} d_{2} t_{4} + a_{0} b_{4} c_{1} d_{2} t_{4} + a_{1} b_{0} c_{4} d_{2} t_{4} - a_{0} b_{1} c_{4} d_{2} t_{4} - a_{2} b_{1} c_{0} d_{4} t_{4} + a_{1} b_{2} c_{0} d_{4} t_{4} + a_{2} b_{0} c_{1} d_{4} t_{4} - a_{0} b_{2} c_{1} d_{4} t_{4} - a_{1} b_{0} c_{2} d_{4} t_{4} + a_{0} b_{1} c_{2} d_{4} t_{4} + a_{3} b_{2} c_{1} d_{0} - a_{2} b_{3} c_{1} d_{0} - a_{3} b_{1} c_{2} d_{0} + a_{1} b_{3} c_{2} d_{0} + a_{2} b_{1} c_{3} d_{0} - a_{1} b_{2} c_{3} d_{0} - a_{3} b_{2} c_{0} d_{1} + a_{2} b_{3} c_{0} d_{1} + a_{3} b_{0} c_{2} d_{1} - a_{0} b_{3} c_{2} d_{1} - a_{2} b_{0} c_{3} d_{1} + a_{0} b_{2} c_{3} d_{1} + a_{3} b_{1} c_{0} d_{2} - a_{1} b_{3} c_{0} d_{2} - a_{3} b_{0} c_{1} d_{2} + a_{0} b_{3} c_{1} d_{2} + a_{1} b_{0} c_{3} d_{2} - a_{0} b_{1} c_{3} d_{2} - a_{2} b_{1} c_{0} d_{3} + a_{1} b_{2} c_{0} d_{3} + a_{2} b_{0} c_{1} d_{3} - a_{0} b_{2} c_{1} d_{3} - a_{1} b_{0} c_{2} d_{3} + a_{0} b_{1} c_{2} d_{3}\\right)} {\\left(t_{1} - t_{2}\\right)} {\\left(t_{1} - t_{3}\\right)} {\\left(t_{1} - t_{4}\\right)} {\\left(t_{2} - t_{3}\\right)} {\\left(t_{2} - t_{4}\\right)} {\\left(t_{3} - t_{4}\\right)}$</div>"}︡{"html":"<div align='center'>$\\displaystyle a_{4} b_{3} c_{2} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{1} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{1} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{1} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{3} c_{1} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{4} c_{1} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{1} c_{3} d_{2} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{4} c_{3} d_{2} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{1} c_{4} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{3} c_{4} d_{2} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{2} c_{1} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{4} c_{1} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{4} b_{1} c_{2} d_{3} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{4} c_{2} d_{3} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{1} c_{4} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{2} c_{4} d_{3} t_{1} t_{2} t_{3} t_{4} - a_{3} b_{2} c_{1} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{2} b_{3} c_{1} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{3} b_{1} c_{2} d_{4} t_{1} t_{2} t_{3} t_{4} - a_{1} b_{3} c_{2} d_{4} t_{1} t_{2} t_{3} t_{4} - a_{2} b_{1} c_{3} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{1} b_{2} c_{3} d_{4} t_{1} t_{2} t_{3} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{2} t_{3} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{2} t_{3} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{2} t_{3} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{2} t_{3} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{2} t_{3} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{2} t_{3} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{2} t_{3} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{2} t_{3} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{2} t_{3} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{2} t_{3} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{2} t_{3} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{2} t_{3} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{2} t_{3} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{2} t_{3} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{2} t_{3} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{2} t_{3} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{2} t_{3} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{2} t_{3} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{2} t_{3} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{2} t_{3} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{2} t_{3} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{2} t_{3} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{2} t_{3} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{2} t_{3} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{2} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{2} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{2} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{2} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{2} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{2} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{2} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{2} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{2} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{2} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{2} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{2} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{2} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{2} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{2} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{2} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{2} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{2} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{2} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{2} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{2} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{2} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{2} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{2} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{1} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{1} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{1} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{1} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{1} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{1} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{1} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{1} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{1} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{1} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{1} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{1} t_{3} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{1} t_{3} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{1} t_{3} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{1} t_{3} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{1} t_{3} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{1} t_{3} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{1} t_{3} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{1} t_{3} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{1} t_{3} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{1} t_{3} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{1} t_{3} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{1} t_{3} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{1} t_{3} t_{4} + a_{4} b_{3} c_{2} d_{0} t_{2} t_{3} t_{4} - a_{3} b_{4} c_{2} d_{0} t_{2} t_{3} t_{4} - a_{4} b_{2} c_{3} d_{0} t_{2} t_{3} t_{4} + a_{2} b_{4} c_{3} d_{0} t_{2} t_{3} t_{4} + a_{3} b_{2} c_{4} d_{0} t_{2} t_{3} t_{4} - a_{2} b_{3} c_{4} d_{0} t_{2} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{2} t_{2} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{2} t_{2} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{2} t_{2} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{2} t_{2} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{2} t_{2} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{2} t_{2} t_{3} t_{4} + a_{4} b_{2} c_{0} d_{3} t_{2} t_{3} t_{4} - a_{2} b_{4} c_{0} d_{3} t_{2} t_{3} t_{4} - a_{4} b_{0} c_{2} d_{3} t_{2} t_{3} t_{4} + a_{0} b_{4} c_{2} d_{3} t_{2} t_{3} t_{4} + a_{2} b_{0} c_{4} d_{3} t_{2} t_{3} t_{4} - a_{0} b_{2} c_{4} d_{3} t_{2} t_{3} t_{4} - a_{3} b_{2} c_{0} d_{4} t_{2} t_{3} t_{4} + a_{2} b_{3} c_{0} d_{4} t_{2} t_{3} t_{4} + a_{3} b_{0} c_{2} d_{4} t_{2} t_{3} t_{4} - a_{0} b_{3} c_{2} d_{4} t_{2} t_{3} t_{4} - a_{2} b_{0} c_{3} d_{4} t_{2} t_{3} t_{4} + a_{0} b_{2} c_{3} d_{4} t_{2} t_{3} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{2} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{2} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{2} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{2} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{2} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{2} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{2} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{2} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{2} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{2} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{2} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{2} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{2} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{2} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{2} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{2} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{2} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{2} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{2} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{2} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{2} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{2} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{2} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{2} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{3} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{3} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{3} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{3} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{3} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{3} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{3} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{3} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{3} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{3} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{3} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{3} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{3} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{3} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{3} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{3} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{3} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{3} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{3} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{3} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{3} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{3} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{3} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{3} + a_{4} b_{3} c_{1} d_{0} t_{2} t_{3} - a_{3} b_{4} c_{1} d_{0} t_{2} t_{3} - a_{4} b_{1} c_{3} d_{0} t_{2} t_{3} + a_{1} b_{4} c_{3} d_{0} t_{2} t_{3} + a_{3} b_{1} c_{4} d_{0} t_{2} t_{3} - a_{1} b_{3} c_{4} d_{0} t_{2} t_{3} - a_{4} b_{3} c_{0} d_{1} t_{2} t_{3} + a_{3} b_{4} c_{0} d_{1} t_{2} t_{3} + a_{4} b_{0} c_{3} d_{1} t_{2} t_{3} - a_{0} b_{4} c_{3} d_{1} t_{2} t_{3} - a_{3} b_{0} c_{4} d_{1} t_{2} t_{3} + a_{0} b_{3} c_{4} d_{1} t_{2} t_{3} + a_{4} b_{1} c_{0} d_{3} t_{2} t_{3} - a_{1} b_{4} c_{0} d_{3} t_{2} t_{3} - a_{4} b_{0} c_{1} d_{3} t_{2} t_{3} + a_{0} b_{4} c_{1} d_{3} t_{2} t_{3} + a_{1} b_{0} c_{4} d_{3} t_{2} t_{3} - a_{0} b_{1} c_{4} d_{3} t_{2} t_{3} - a_{3} b_{1} c_{0} d_{4} t_{2} t_{3} + a_{1} b_{3} c_{0} d_{4} t_{2} t_{3} + a_{3} b_{0} c_{1} d_{4} t_{2} t_{3} - a_{0} b_{3} c_{1} d_{4} t_{2} t_{3} - a_{1} b_{0} c_{3} d_{4} t_{2} t_{3} + a_{0} b_{1} c_{3} d_{4} t_{2} t_{3} + a_{4} b_{3} c_{1} d_{0} t_{1} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{1} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{1} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{1} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{1} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{1} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{1} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{1} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{1} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{1} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{1} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{1} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{1} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{1} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{1} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{1} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{1} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{1} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{1} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{1} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{1} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{1} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{1} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{1} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{2} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{2} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{2} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{2} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{2} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{2} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{2} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{2} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{2} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{2} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{2} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{2} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{2} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{2} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{2} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{2} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{2} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{2} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{2} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{2} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{2} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{2} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{2} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{2} t_{4} + a_{4} b_{3} c_{1} d_{0} t_{3} t_{4} - a_{3} b_{4} c_{1} d_{0} t_{3} t_{4} - a_{4} b_{1} c_{3} d_{0} t_{3} t_{4} + a_{1} b_{4} c_{3} d_{0} t_{3} t_{4} + a_{3} b_{1} c_{4} d_{0} t_{3} t_{4} - a_{1} b_{3} c_{4} d_{0} t_{3} t_{4} - a_{4} b_{3} c_{0} d_{1} t_{3} t_{4} + a_{3} b_{4} c_{0} d_{1} t_{3} t_{4} + a_{4} b_{0} c_{3} d_{1} t_{3} t_{4} - a_{0} b_{4} c_{3} d_{1} t_{3} t_{4} - a_{3} b_{0} c_{4} d_{1} t_{3} t_{4} + a_{0} b_{3} c_{4} d_{1} t_{3} t_{4} + a_{4} b_{1} c_{0} d_{3} t_{3} t_{4} - a_{1} b_{4} c_{0} d_{3} t_{3} t_{4} - a_{4} b_{0} c_{1} d_{3} t_{3} t_{4} + a_{0} b_{4} c_{1} d_{3} t_{3} t_{4} + a_{1} b_{0} c_{4} d_{3} t_{3} t_{4} - a_{0} b_{1} c_{4} d_{3} t_{3} t_{4} - a_{3} b_{1} c_{0} d_{4} t_{3} t_{4} + a_{1} b_{3} c_{0} d_{4} t_{3} t_{4} + a_{3} b_{0} c_{1} d_{4} t_{3} t_{4} - a_{0} b_{3} c_{1} d_{4} t_{3} t_{4} - a_{1} b_{0} c_{3} d_{4} t_{3} t_{4} + a_{0} b_{1} c_{3} d_{4} t_{3} t_{4} + a_{4} b_{2} c_{1} d_{0} t_{1} - a_{2} b_{4} c_{1} d_{0} t_{1} - a_{4} b_{1} c_{2} d_{0} t_{1} + a_{1} b_{4} c_{2} d_{0} t_{1} + a_{2} b_{1} c_{4} d_{0} t_{1} - a_{1} b_{2} c_{4} d_{0} t_{1} - a_{4} b_{2} c_{0} d_{1} t_{1} + a_{2} b_{4} c_{0} d_{1} t_{1} + a_{4} b_{0} c_{2} d_{1} t_{1} - a_{0} b_{4} c_{2} d_{1} t_{1} - a_{2} b_{0} c_{4} d_{1} t_{1} + a_{0} b_{2} c_{4} d_{1} t_{1} + a_{4} b_{1} c_{0} d_{2} t_{1} - a_{1} b_{4} c_{0} d_{2} t_{1} - a_{4} b_{0} c_{1} d_{2} t_{1} + a_{0} b_{4} c_{1} d_{2} t_{1} + a_{1} b_{0} c_{4} d_{2} t_{1} - a_{0} b_{1} c_{4} d_{2} t_{1} - a_{2} b_{1} c_{0} d_{4} t_{1} + a_{1} b_{2} c_{0} d_{4} t_{1} + a_{2} b_{0} c_{1} d_{4} t_{1} - a_{0} b_{2} c_{1} d_{4} t_{1} - a_{1} b_{0} c_{2} d_{4} t_{1} + a_{0} b_{1} c_{2} d_{4} t_{1} + a_{4} b_{2} c_{1} d_{0} t_{2} - a_{2} b_{4} c_{1} d_{0} t_{2} - a_{4} b_{1} c_{2} d_{0} t_{2} + a_{1} b_{4} c_{2} d_{0} t_{2} + a_{2} b_{1} c_{4} d_{0} t_{2} - a_{1} b_{2} c_{4} d_{0} t_{2} - a_{4} b_{2} c_{0} d_{1} t_{2} + a_{2} b_{4} c_{0} d_{1} t_{2} + a_{4} b_{0} c_{2} d_{1} t_{2} - a_{0} b_{4} c_{2} d_{1} t_{2} - a_{2} b_{0} c_{4} d_{1} t_{2} + a_{0} b_{2} c_{4} d_{1} t_{2} + a_{4} b_{1} c_{0} d_{2} t_{2} - a_{1} b_{4} c_{0} d_{2} t_{2} - a_{4} b_{0} c_{1} d_{2} t_{2} + a_{0} b_{4} c_{1} d_{2} t_{2} + a_{1} b_{0} c_{4} d_{2} t_{2} - a_{0} b_{1} c_{4} d_{2} t_{2} - a_{2} b_{1} c_{0} d_{4} t_{2} + a_{1} b_{2} c_{0} d_{4} t_{2} + a_{2} b_{0} c_{1} d_{4} t_{2} - a_{0} b_{2} c_{1} d_{4} t_{2} - a_{1} b_{0} c_{2} d_{4} t_{2} + a_{0} b_{1} c_{2} d_{4} t_{2} + a_{4} b_{2} c_{1} d_{0} t_{3} - a_{2} b_{4} c_{1} d_{0} t_{3} - a_{4} b_{1} c_{2} d_{0} t_{3} + a_{1} b_{4} c_{2} d_{0} t_{3} + a_{2} b_{1} c_{4} d_{0} t_{3} - a_{1} b_{2} c_{4} d_{0} t_{3} - a_{4} b_{2} c_{0} d_{1} t_{3} + a_{2} b_{4} c_{0} d_{1} t_{3} + a_{4} b_{0} c_{2} d_{1} t_{3} - a_{0} b_{4} c_{2} d_{1} t_{3} - a_{2} b_{0} c_{4} d_{1} t_{3} + a_{0} b_{2} c_{4} d_{1} t_{3} + a_{4} b_{1} c_{0} d_{2} t_{3} - a_{1} b_{4} c_{0} d_{2} t_{3} - a_{4} b_{0} c_{1} d_{2} t_{3} + a_{0} b_{4} c_{1} d_{2} t_{3} + a_{1} b_{0} c_{4} d_{2} t_{3} - a_{0} b_{1} c_{4} d_{2} t_{3} - a_{2} b_{1} c_{0} d_{4} t_{3} + a_{1} b_{2} c_{0} d_{4} t_{3} + a_{2} b_{0} c_{1} d_{4} t_{3} - a_{0} b_{2} c_{1} d_{4} t_{3} - a_{1} b_{0} c_{2} d_{4} t_{3} + a_{0} b_{1} c_{2} d_{4} t_{3} + a_{4} b_{2} c_{1} d_{0} t_{4} - a_{2} b_{4} c_{1} d_{0} t_{4} - a_{4} b_{1} c_{2} d_{0} t_{4} + a_{1} b_{4} c_{2} d_{0} t_{4} + a_{2} b_{1} c_{4} d_{0} t_{4} - a_{1} b_{2} c_{4} d_{0} t_{4} - a_{4} b_{2} c_{0} d_{1} t_{4} + a_{2} b_{4} c_{0} d_{1} t_{4} + a_{4} b_{0} c_{2} d_{1} t_{4} - a_{0} b_{4} c_{2} d_{1} t_{4} - a_{2} b_{0} c_{4} d_{1} t_{4} + a_{0} b_{2} c_{4} d_{1} t_{4} + a_{4} b_{1} c_{0} d_{2} t_{4} - a_{1} b_{4} c_{0} d_{2} t_{4} - a_{4} b_{0} c_{1} d_{2} t_{4} + a_{0} b_{4} c_{1} d_{2} t_{4} + a_{1} b_{0} c_{4} d_{2} t_{4} - a_{0} b_{1} c_{4} d_{2} t_{4} - a_{2} b_{1} c_{0} d_{4} t_{4} + a_{1} b_{2} c_{0} d_{4} t_{4} + a_{2} b_{0} c_{1} d_{4} t_{4} - a_{0} b_{2} c_{1} d_{4} t_{4} - a_{1} b_{0} c_{2} d_{4} t_{4} + a_{0} b_{1} c_{2} d_{4} t_{4} + a_{3} b_{2} c_{1} d_{0} - a_{2} b_{3} c_{1} d_{0} - a_{3} b_{1} c_{2} d_{0} + a_{1} b_{3} c_{2} d_{0} + a_{2} b_{1} c_{3} d_{0} - a_{1} b_{2} c_{3} d_{0} - a_{3} b_{2} c_{0} d_{1} + a_{2} b_{3} c_{0} d_{1} + a_{3} b_{0} c_{2} d_{1} - a_{0} b_{3} c_{2} d_{1} - a_{2} b_{0} c_{3} d_{1} + a_{0} b_{2} c_{3} d_{1} + a_{3} b_{1} c_{0} d_{2} - a_{1} b_{3} c_{0} d_{2} - a_{3} b_{0} c_{1} d_{2} + a_{0} b_{3} c_{1} d_{2} + a_{1} b_{0} c_{3} d_{2} - a_{0} b_{1} c_{3} d_{2} - a_{2} b_{1} c_{0} d_{3} + a_{1} b_{2} c_{0} d_{3} + a_{2} b_{0} c_{1} d_{3} - a_{0} b_{2} c_{1} d_{3} - a_{1} b_{0} c_{2} d_{3} + a_{0} b_{1} c_{2} d_{3}$</div>"}︡{"done":true}︡
︠333bd184-8d38-4654-8799-210267cc0261s︠
#p,q,r,s=var('p,q,r,s')
p,q,r,s = QQ['p,q,r,s'].gens()
a(p,q,r,s)=matrix(SR,[[p,q,r],[q,r,s],[r,s,1]]).determinant()
expand(a(p,q,r,s)).simplify().show()
expand(2*6^3*a(p,q/4,r/6,s/4)).simplify().show()
b(p,q,r,s)=(r*s-q)^2-4*(s*q-r^2)*(r-s^2)
b(p,q,r,s).show()
b(p,q,r,s).expand().show()
(27*64*b(p,q/4,r/6,s/4)).expand().show()
c(p,q,r,s)=(p*s-q*r)^2-4*(p*r-q^2)*(q*s-r^2)
c(p,q,r,s).expand().show()
︡8cc10ff7-50cd-466b-b769-d20b2b727557︡{"html":"<div align='center'>$\\displaystyle -r^{3} + 2 \\, q r s - p s^{2} - q^{2} + p r$</div>"}︡{"html":"<div align='center'>$\\displaystyle -2 \\, r^{3} + 9 \\, q r s - 27 \\, p s^{2} - 27 \\, q^{2} + 72 \\, p r$</div>"}︡{"html":"<div align='center'>$\\displaystyle {\\left(r s - q\\right)}^{2} - 4 \\, {\\left(r^{2} - q s\\right)} {\\left(s^{2} - r\\right)}$</div>"}︡{"html":"<div align='center'>$\\displaystyle -3 \\, r^{2} s^{2} + 4 \\, q s^{3} + 4 \\, r^{3} - 6 \\, q r s + q^{2}$</div>"}︡{"html":"<div align='center'>$\\displaystyle -9 \\, r^{2} s^{2} + 27 \\, q s^{3} + 32 \\, r^{3} - 108 \\, q r s + 108 \\, q^{2}$</div>"}︡{"html":"<div align='center'>$\\displaystyle -3 \\, q^{2} r^{2} + 4 \\, p r^{3} + 4 \\, q^{3} s - 6 \\, p q r s + p^{2} s^{2}$</div>"}︡{"done":true}
︠7c17a17b-d6fa-4743-82e4-9f05327dba72s︠
p,q,r,s,x=var('p,q,r,s,x')
a=expand((x^2+2*s*x+r)^2-(x^4+4*s*x^3+6*r*x^2+4*q*x+p) - (4*s^2-4*r)*(x^2+2*s*x+r))
solve(a,x)
show(expand((x^4+4*s*x^3+6*r*x^2+4*q*x+p).resultant(x^2+2*s*x+r,x)))
︡f61983b5-86c9-4e90-bbb9-f73405c23e70︡{"stdout":"[x == -1/4*(4*r*s^2 - 5*r^2 + p)/(2*s^3 - 3*r*s + q)]\n"}︡{"html":"<div align='center'>$\\displaystyle -16 \\, r^{3} s^{2} + 32 \\, q r s^{3} - 16 \\, p s^{4} + 25 \\, r^{4} - 56 \\, q r^{2} s + 32 \\, p r s^{2} + 16 \\, q^{2} r - 10 \\, p r^{2} - 8 \\, p q s + p^{2}$</div>"}︡{"done":true}︡
︠a6b15680-6154-40fb-887e-95fd954c83e1s︠
p,q,r,s = QQ['p,q,r,s'].gens()
I = ideal(-r^3+2*q*r*s-p*s^2-q^2+p*r,(r*s-q)^2-4*(s*q-r^2)*(r-s^2))
B = I.groebner_basis()
show(B)
len(B)
︡583774bf-e12e-43d3-bb49-05342bb0e6b7︡{"html":"<div align='center'>[$\\displaystyle q^{2} s^{4} - \\frac{9}{8} p r s^{4} - \\frac{17}{8} q^{2} r s^{2} + \\frac{13}{4} p q s^{3} + \\frac{9}{8} q^{2} r^{2} -  p q r s - 2 p^{2} s^{2} - \\frac{9}{8} p q^{2} + 2 p^{2} r$, $\\displaystyle q r s^{3} - \\frac{3}{2} p s^{4} -  q r^{2} s - \\frac{3}{2} q^{2} s^{2} + \\frac{7}{2} p r s^{2} + \\frac{3}{2} q^{2} r - 2 p r^{2}$, $\\displaystyle r^{2} s^{2} - \\frac{4}{3} q s^{3} - \\frac{2}{3} q r s + \\frac{4}{3} p s^{2} + q^{2} - \\frac{4}{3} p r$, $\\displaystyle r^{3} - 2 q r s + p s^{2} + q^{2} -  p r$]</div>"}︡{"stdout":"4\n"}︡{"done":true}︡
︠13ac32ed-5da0-4434-a6b0-6890f75cd1e3︠
t,s,t1,t2,t3,t4,a0,a1,a2,a3,a4,b0,b1,b2,b3,b4,c0,c1,c2,c3,c4,d0,d1,d2,d3,d4=var('t,s,t1,t2,t3,t4,a0,a1,a2,a3,a4,b0,b1,b2,b3,b4,c0,c1,c2,c3,c4,d0,d1,d2,d3,d4')
p1 = a4*t^4+a3*t^3+a2*t^2+a1*t+a0
p2 = b4*t^4+b3*t^3+b2*t^2+b1*t+b0
p3 = c4*t^4+c3*t^3+c2*t^2+c1*t+c0
p4 = d4*t^4+d3*t^3+d2*t^2+d1*t+d0
q(s) = [p1.substitute(t==t1), p2.substitute(t==s), p3.substitute(t==s), p4.substitute(t==s)]
m = matrix(SR,[q(t1), q(t2), q(t3), q(t4)])
︡c12301d6-be87-450b-9bf4-fd907beca242︡
︠e6a6d4d9-c666-4892-8166-44cc51f5802es︠
a,b,c,d=var('a,b,c,d')
expand((a^2*b^2-c^2*d^2)^3 - 2*(a*b^3-c*d^3)*(a^2*b^2-c^2*d^2)*(a^3*b-c^3*d) + (b^4-d^4)*(a^3*b-c^3*d)^2 + (a*b^3-c*d^3)^2*(a^4-c^4)-(a^2*b^2-c^2*d^2)*(b^4-d^4)*(a^4-c^4))
︡dfd8e01d-683e-42a8-bde7-57020fca414e︡{"stdout":"0\n"}︡{"done":true}︡
︠d6a73ada-9946-4f65-b679-94008929985e︠

︡d7e8bfae-788d-4018-b591-7252d6a7be4d︡{"done":true}︡









